18e735df1b
Using patches from git makes it clean which changes are included in Fedora New workflow: 1. clone https://github.com/fedora-selinux/selinux 2. create patchset $ git format-patch 20190315 -- policycoreutils python gui sandbox dbus semodule-utils restorecond 3. update spec file $ for j in [0-9]*.patch; do printf "Patch%s: %s\n" ${j/-*/} $j; done # deleted: restorecond-fedora.patch
27 lines
934 B
Diff
27 lines
934 B
Diff
From 52e0583f6adfe70825b009b626e19c290b49763a Mon Sep 17 00:00:00 2001
|
|
From: Petr Lautrbach <plautrba@redhat.com>
|
|
Date: Thu, 20 Aug 2015 12:58:41 +0200
|
|
Subject: [PATCH] sandbox: add -reset to Xephyr as it works better with it in
|
|
recent Fedoras
|
|
|
|
---
|
|
sandbox/sandboxX.sh | 2 +-
|
|
1 file changed, 1 insertion(+), 1 deletion(-)
|
|
|
|
diff --git a/sandbox/sandboxX.sh b/sandbox/sandboxX.sh
|
|
index eaa500d0..47745280 100644
|
|
--- a/sandbox/sandboxX.sh
|
|
+++ b/sandbox/sandboxX.sh
|
|
@@ -20,7 +20,7 @@ cat > ~/.config/openbox/rc.xml << EOF
|
|
</openbox_config>
|
|
EOF
|
|
|
|
-(/usr/bin/Xephyr -resizeable -title "$TITLE" -terminate -screen $SCREENSIZE -dpi $DPI -nolisten tcp -displayfd 5 5>&1 2>/dev/null) | while read D; do
|
|
+(/usr/bin/Xephyr -resizeable -title "$TITLE" -terminate -reset -screen $SCREENSIZE -dpi $DPI -nolisten tcp -displayfd 5 5>&1 2>/dev/null) | while read D; do
|
|
export DISPLAY=:$D
|
|
cat > ~/seremote << __EOF
|
|
#!/bin/sh
|
|
--
|
|
2.22.0
|
|
|